# Google News

With Talordata SERP API, you can configure **Google News** queries, including localization and advanced parameter output options.

<details>

<summary><strong><code>q</code> ,</strong>Search Query<strong>(Required)</strong></summary>

Define the search query used for data crawling (default value: `q=pizza`). Any keywords in any language are supported.

**Example Request:**\
Example with `q`:<mark style="color:blue;">pizza</mark> parameter

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1"
```

</details>

## Localization

<details>

<summary><strong><code>gl</code> ,</strong>Country<strong>(Optional)</strong></summary>

Specifies the country/region for localized search results (default: `us`). Uses a two-letter country code (e.g., `us`, `ru`, `uk`).

For supported codes, see [Google’s Country List](https://developers.google.com/adwords/api/docs/appendix/geotargeting).

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`gl`: <mark style="color:blue;">ru</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "gl=ru" \
 -d "json=1"
```

</details>

<details>

<summary><strong><code>hl</code> ,</strong>Language<strong>(Optional)</strong></summary>

Sets the UI language for search results (default: `en`). Uses a two-letter language code (e.g., `en`, `es`, `zh-CN`).

&#x20;Full list: [Google Language Codes](https://developers.google.com/google-ads/api/docs/start).

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`hl`: <mark style="color:blue;">es</mark>

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google" \
 -d "q=pizza" \
 -d "json=1" \
 -d "hl=es"
```

</details>

## Advanced Filters

<details>

<summary><code>topic_token</code> <strong>,</strong>Topic token<strong>(Optional)</strong></summary>

Parameter defines the Google News topic token. It is used for accessing the news results for a specific topic (e.g., "World", "Business", "Technology").

**Code Example:**

Example results for `q` : <mark style="color:blue;">pizza，</mark>`topic_token`:Technology

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1" \
 -d "topic_token=Technology"
```

</details>

<details>

<summary><code>publication_token</code> <strong>,</strong>Publication token<strong>(Optional)</strong></summary>

Parameter defines the Google News publication token. It is used for accessing the news results from a specific publisher (e.g., "CNN", "BBC", "The Guardian").

**Example Request:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`publication_token`:BBC

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1" \
 -d "publication_token=BBC"
```

</details>

<details>

<summary><code>section_token</code> <strong>,</strong>Section token<strong>(Optional)</strong></summary>

Parameter defines the Google News section token. It is used for accessing the sub-section of a specific topic. (e.g., "Business -> Economy").

**Code Example:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`section_token`:Business

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1" \
 -d "section_token=Business"
```

</details>

<details>

<summary><code>story_token</code> <strong>,</strong>Story token<strong>(Optional)</strong></summary>

Parameter defines the Google News story token. It is used for accessing the news results with full coverage of a specific story.

**Code Example:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`story_token`:story

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1" \
 -d "story_token=story"
```

</details>

<details>

<summary><code>so</code> <strong>,</strong>Sort By<strong>(Optional)</strong></summary>

Parameter defines the sorting method. Results can be sorted by relevance or by date. By default, the results are sorted by relevance.\
List of supported values are:\
\
`0` - Relevance\
`1` - Date

**Code Example:**

Example results for `q` : <mark style="color:blue;">pizza</mark>,`so`:1

```sh
curl -X POST https://serpapi.talordata.net/request \
 -H "Content-Type: application/x-www-form-urlencoded" \
 -H "Authorization: Bearer token" \
 -d "engine=google_news" \
 -d "q=pizza" \
 -d "json=1" \
 -d "so=1"
```

</details>

If you need further assistance, feel free to contact us via **live chat** or email **<support@talordata.com>**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talordata.com/serp-api/query-parameters/google/google-news.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
